
QGIS Application - Bug report #19975

crash when enabling drop shadow on label background svg

2018-09-28 01:38 PM - Sebastian Brocks

Status: Open

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:3.4.1 Regression?: No

Operating System: windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27797

Description

User Feedback

When I enable a drop shadow effect on a label background loaded from SVG, QGIS crashes

Report Details

Crash ID: a7573a1a2e3654ee3d3f2b3496a7ec5696e39c39
QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-09-28 01:43 PM - Sebastian Brocks

This only happens when the path to the SVG file is data-defined.

#2 - 2018-09-28 05:07 PM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2018-11-19 11:14 AM - Sebastian Brocks

- Status changed from Feedback to Open

This still happens in 3.4.1:

Crash ID: a7573a1a2e3654ee3d3f2b3496a7ec5696e39c39
QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: 383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#5 - 2018-11-19 11:15 AM - Giovanni Manghi

- Affected QGIS version changed from 3.2.3 to 3.4.1
